| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Functions
DateTimeOps Namespace Reference

DateTimeOps. More...

## Functions
std::vector< std::string > | processDateTime (std::string_view datetime, const LogsFormatField format)
| Returns a standardized list of items representing the given date and time.

## Detailed Description

DateTimeOps.

Operations for the dates

## Function Documentation

## ◆ processDateTime()

std::vector< std::string > DateTimeOps::processDateTime | ( | std::string_view | datetime,
|  | const LogsFormatField | format )

Returns a standardized list of items representing the given date and time.

Parameters

  datetime | The given date and time string
  format | The format of the given string

Exceptions

  DateTimeException |

Returns
  The list of items